﻿@model LoyaltyPointEngine.Model.Object.ResultModel<string>
@{
    List<string> ListError = new List<string>();
    var aaaa = Model;
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Upload Retailer Account</h3>
    </div>
    <!-- Page Stats -->
    <ul class="page-stats">
        <li>
            <a href="@Url.Action(MVC.RetailerUpload.DownloadExcelTemplate())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Download Excel Templates</div>
            </a>
        </li>
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">

    <div class="col-md-12">
       
        @using (Html.BeginForm("Index", "RetailerUpload", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {
            <div class="btn-group">
                <input type="file" name="excelFile" class="btn btn-primary" />
            </div>
            <button type="button" class="btn btn-primary" id="btnSubmit">Submit</button>
        }
        <br />
        <br />


         @if (Model != null && !string.IsNullOrEmpty(Model.StatusMessage) && Model.StatusMessage != "Success")
        {
            <div class="alert alert-danger">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                <i class="fa fa-times-circle"></i>
                Error occured:
               
                <hr />
                @Html.Raw(Model.StatusMessage);
            </div>
        }



    </div>


</div>


<div id="myModalExcel" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content Edit Ucup-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Success</h4>
      </div>
      <div class="modal-body">
        <p id="upload-modal-message">Some text in the modal.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>



@section FooterScript {
    <script type="text/javascript">
        $(document).ready(function () {
            $('#btnSubmit').click(function () {
                var fileName = $('[name="excelFile"]').val().trim();

                var pos = fileName.lastIndexOf('.');
                var extension = (pos <= 0) ? '' : fileName.substring(pos);
                if (extension != '.xlsx') {
                    alert('Please browse a correct excel file to upload');
                    return;
                }

                $('form').submit();
            });

            if('@Model.StatusCode' =="00")
            {
                $('#upload-modal-message').html('@Html.Raw(Model.Value)');
                $('#myModalExcel').modal();
            }
        });
    </script>
}
